Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PI_ForwardC.cpp File Reference

`#include "PI_ForwardC.h"`
`#include "Typecode.h"`
`#include "PI_ForwardC.i"`

Include dependency graph for PI_ForwardC.cpp:

## Namespaces
namespace | PortableInterceptor
namespace | TAO
## Functions
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ServerId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ServerId),(char *)&_oc_PortableInterceptor_ServerId, 0, sizeof(PortableInterceptor::ServerId))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ORBId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ORBId),(char *)&_oc_PortableInterceptor_ORBId, 0, sizeof(PortableInterceptor::ORBId))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_AdapterName (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_AdapterName),(char *)&_oc_PortableInterceptor_AdapterName, 0, sizeof(PortableInterceptor::AdapterName))
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ObjectId (CORBA::tk_alias, sizeof(_oc_PortableInterceptor_ObjectId),(char *)&_oc_PortableInterceptor_ObjectId, 0, sizeof(PortableInterceptor::ObjectId))
## Variables
const CORBA::Long | _oc_PortableInterceptor_ServerId []
const CORBA::Long | _oc_PortableInterceptor_ORBId []
const CORBA::Long | _oc_PortableInterceptor_AdapterName []
const CORBA::Long | _oc_PortableInterceptor_ObjectId []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_AdapterName | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_AdapterName) | ,
|  | (char *)& | _oc_PortableInterceptor_AdapterName,
|  | 0 | ,
|  | sizeof(PortableInterceptor::AdapterName) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ObjectId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ObjectId) | ,
|  | (char *)& | _oc_PortableInterceptor_ObjectId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ObjectId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ORBId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ORBId) | ,
|  | (char *)& | _oc_PortableInterceptor_ORBId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ORBId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ServerId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_PortableInterceptor_ServerId) | ,
|  | (char *)& | _oc_PortableInterceptor_ServerId,
|  | 0 | ,
|  | sizeof(PortableInterceptor::ServerId) |
| ) | `[static]`

## Variable Documentation

const CORBA::Long _oc_PortableInterceptor_AdapterName[]`[static]`

const CORBA::Long _oc_PortableInterceptor_ObjectId[]`[static]`

const CORBA::Long _oc_PortableInterceptor_ORBId[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      42,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x4f524249),
      ACE_NTOHL (0x643a312e),
      ACE_NTOHL (0x30000000),
        6,
      ACE_NTOHL (0x4f524249),
      ACE_NTOHL (0x64000000),
        CORBA::tk_string,
      0U,
    }

const CORBA::Long _oc_PortableInterceptor_ServerId[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      45,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65724964),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        9,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65724964),
      ACE_NTOHL (0x0),
        CORBA::tk_string,
      0U,
    }